package models

import "github.com/beego/beego/v2/client/orm"

type BaseFromTradeDalianIndex struct {
	BaseFromTradeDalianIndexId int    `orm:"column(base_from_trade_dalian_index_id);pk"`
	Rank                       string `description:"排名"`
	DealShortName              string `description:"成交量公司简称"`
	DealName                   string `description:"成交量指标名称"`
	DealCode                   string `description:"成交量指标编码"`
	DealValue                  string `description:"成交量"`
	DealChange                 string `description:"成交变化量"`
	BuyShortName               string `description:"成交量公司简称"`
	BuyName                    string `description:"持买单量指标名称"`
	BuyCode                    string `description:"持买单量指标编码"`
	BuyValue                   string `description:"持买单量"`
	BuyChange                  string `description:"持买单量变化量"`
	SoldShortName              string `description:"成交量公司简称"`
	SoldName                   string `description:"持买单量指标名称"`
	SoldCode                   string `description:"持买单量指标编码"`
	SoldValue                  string `description:"持买单量"`
	SoldChange                 string `description:"持买单量变化量"`
	Frequency                  string `description:"频度"`
	ClassifyName               string `description:"分类名称"`
	ClassifyType               string `description:"分类名称下的类型"`
	//CreateTime                 time.Time `description:"插入时间"`
	//ModifyTime                 time.Time `description:"修改时间"`
	//DataTime                   time.Time `description:"数据日期"`
	CreateTime string `description:"插入时间"`
	ModifyTime string `description:"修改时间"`
	DataTime   string `description:"数据日期"`
}

func GetTradeDalianIndex(startDate, endDate string) (list []*BaseFromTradeDalianIndex, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM base_from_trade_dalian_index WHERE create_time>=? AND create_time<=? `
	_, err = o.Raw(sql, startDate, endDate).QueryRows(&list)
	return
}
